  <mat-toolbar class="position-absolute mb-12" color="primary">
    <mat-toolbar-row class="justify-content-between">
      <button [routerLink]="['/home']" mat-button>Home</button>
      <button [routerLink]="['/login']" mat-button>Logout</button>
    </mat-toolbar-row>
  </mat-toolbar>

  <div class="grid-item col-lg-12 mb-4 mt-12" style="top: 80px;">
    <div class="card">
      <div class="card-body">
        <section>
          <form [formGroup]="profileForm" class="example-form">
            <div class="row">
              <div class="col-md">
                <p>
                  <mat-form-field class="example-full-width">
                    <mat-label>Ville</mat-label>
                    <input matInput #ville maxlength="50" placeholder="Ex. Rabat" value="94043" type="text" formControlName="villeInput">
                  </mat-form-field>
                  <mat-form-field class="example-full-width">
                    <mat-label>Profile</mat-label>
                    <input matInput #profile maxlength="50" placeholder="Ex. Manager" value="94043"  formControlName="profileInput">
                  </mat-form-field>
                </p>
              </div>
              <div class="col-md">
                <p>
                  <mat-form-field class="example-full-width">
                    <mat-select [formControl]="expControl">
                      <mat-option value="junior">0-2 ans</mat-option>
                      <mat-option value="senior">2-5 ans</mat-option>
                      <mat-option value="expert">+5 ans</mat-option>
                    </mat-select>
                  </mat-form-field>
                  <mat-form-field class="example-full-width">
                    <mat-select [formControl]="langControl">
                      <mat-option value="english">Anglais</mat-option>
                      <mat-option value="french">Français</mat-option>
                      <mat-option value="others">Autres</mat-option>
                    </mat-select>
                  </mat-form-field>
                </p>
              </div>
            </div>
           
          </form>
          
          <div class="example-button-row">
            <button mat-raised-button color="primary" (click)="onClickMe()">Search</button>
          </div>
        </section>
      </div>
    </div>
  </div>

  

<div class="grid-item col-lg-12" >
    <div class="card" style="top: 100px;">
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">>
            <!--- Note that these columns can be defined in any order.
                    The actual rendered columns are set as a property on the row definition" -->
            
            <!-- sender Column -->
            <ng-container matColumnDef="sender">
                <th mat-header-cell *matHeaderCellDef> Sender </th>
                <td mat-cell *matCellDef="let element"> {{element.sender}} </td>
            </ng-container>
            
            <!-- city Column -->
            <ng-container matColumnDef="city">
                <th mat-header-cell *matHeaderCellDef> City </th>
                <td mat-cell *matCellDef="let element"> {{element.city}} </td>
            </ng-container>
            
            <!-- post Column -->
            <ng-container matColumnDef="post">
                <th mat-header-cell *matHeaderCellDef> Post </th>
                <td mat-cell *matCellDef="let element"> {{element.post}} </td>
            </ng-container>

            <!-- File Column -->
            <!-- post Column -->
            <ng-container matColumnDef="attachment">
              <th mat-header-cell *matHeaderCellDef> Attachment </th>
              <td mat-cell *matCellDef="let element"> 
                <!-- <button mat-raised-button color="primary" onClick="onClickDownload('{{element.post}}')">Download</button> -->
                <a href="http://5.189.157.89:3000/{{element.filename}}" target="_blank">Download</a>
               </td>
              <!-- <td mat-cell *matCellDef="let element"> {{element.filename}} </td> -->
          </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <div style="position: fixed; bottom: 0;">
                <mat-paginator fixed [pageSizeOptions]="[10, 20]" showFirstLastButtons></mat-paginator>
            </div> 
        </div>  
</div>
